local _, Addon = ...

function Addon:NewModule(name, object)
	object = object or {}
	if object.Startup then
		object:Startup()
	end
	
	self[name] = object
	return object
end

function Addon:GetQualityName(quality)
	return _G['BATTLE_PET_BREED_QUALITY' .. quality]
end

function Addon:GetQualityColor(quality)
	return GetItemQualityColor(quality - 1)
end

function Addon:TrackingPets()
	return select(3 , GetTrackingInfo(1))
end